## python-emoji 1.6.3

=== utils/gh-pages/requirements.txt ===
django>=3.1.0
django-htmlmin>=0.11.0

## python-emoji 1.2.0

=== debian/changelog ===
python-emoji (1.2.0-2) unstable; urgency=medium

  * Source-only upload

 -- Martin <debacle@debian.org>  Sun, 28 Feb 2021 20:09:24 +0000

python-emoji (1.2.0-1) unstable; urgency=medium

  * Initial package (Closes: #983062)

 -- Martin <debacle@debian.org>  Fri, 19 Feb 2021 12:39:18 +0000

=== debian/control ===
Source: python-emoji
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-all,
	python3-pytest,
	python3-setuptools,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://pypi.org/project/emoji/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-emoji.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-emoji

Package: python3-emoji
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
Description: Emoji for Python
 The entire set of Emoji codes as defined by the unicode
 consortium is supported in addition to a bunch of aliases. By
 default, only the official list is enabled but doing
 emoji.emojize(use_aliases=True) enables both the full list and
 aliases.

=== debian/watch ===
version=4
https://pypi.debian.net/emoji/emoji-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-emoji 1.6.3

=== debian/changelog ===
python-emoji (1.6.3-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 16:51:13 +0100

python-emoji (1.6.3-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 06 Mar 2022 23:54:55 +0000

=== debian/watch ===
version=4
https://github.com/carpedm20/emoji/releases \
.*[^n]/(?:|v|version-|release-|r|REL_|rel-|(?:emoji|emoji)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-emoji 2.2.0

=== docs/requirements.txt ===
sphinx>=5.2.2
alabaster>=0.7.12

=== utils/requirements.txt ===
requests>=2.28.1
beautifulsoup4>=4.11.1

=== debian/changelog ===
python-emoji (2.2.0-2) unstable; urgency=medium

  * Fix debian/watch

 -- Martin <debacle@debian.org>  Fri, 24 Feb 2023 16:12:43 +0000

python-emoji (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Fix dependency for autopkgtest

 -- Martin <debacle@debian.org>  Tue, 01 Nov 2022 10:13:02 +0000

python-emoji (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Add autopkgtest

 -- Martin <debacle@debian.org>  Thu, 20 Oct 2022 19:32:49 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	python3-setuptools,
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
-Homepage: https://pypi.org/project/emoji/
+Homepage: https://github.com/carpedm20/emoji/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-emoji.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-emoji

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=emoji

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -m pytest tests
Depends: @, python3-pytest

## python-emoji 2.8.0

=== utils/requirements.txt ===
requests>=2.31.0
beautifulsoup4>=4.12.2

=== debian/changelog ===
python-emoji (2.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Thu, 23 Nov 2023 10:03:59 +0000

## python-emoji 2.14.1

=== docs/requirements.txt ===
sphinx>=7.2.6
alabaster>=0.7.16

=== utils/requirements.txt ===
requests>=2.32.3
beautifulsoup4>=4.12.3
cloudscraper>=1.2.71

=== utils/gh-pages/requirements.txt ===
django>=4.1.1
django-htmlmin>=0.11.0

=== debian/changelog ===
python-emoji (2.14.1-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 31 Mar 2025 21:40:39 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 	dh-python,
+	pybuild-plugin-pyproject,
 	python3-all,
 	python3-pytest,
 	python3-setuptools,
@@ -13,6 +14,7 @@
 Homepage: https://github.com/carpedm20/emoji/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-emoji.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-emoji
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-emoji
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=emoji
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=PYTHONPATH=$(CURDIR)/utils {interpreter} -m pytest tests

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/python-emoji_$1.tar.gz/" \
  https://github.com/carpedm20/emoji/tags .*/v?(\d\S*)\.tar\.gz
